Visual Studio .NET - .Net Framework ,.Msi file with Exe

Asked By silna chandra on 17-Nov-08 02:56 AM

Hi

I have a  .msi file to run an exe coded in vb.net  using visual studio 2008 (vs2008) . Vs2008 uses .Net framework 3.5 .

1)I need to know which OS are not supported by  .Net framework 3.5 ?

2)How to make the msi to run on a machine that doesn't have  .Net framework 3.5  but may have  .Net framework 2.0 or lower ones ?

 

Thanks

Silna

Windows versions supporting .NET framework 3.5 - mv ark replied to silna chandra on 17-Nov-08 03:06 AM

Only the following Windows OS versions support .NET framework 3.5 -
Windows Server 2003; Windows Server 2008; Windows Vista; Windows XP

Answers - [)ia6l0 iii replied to silna chandra on 17-Nov-08 03:14 AM

Regarding question 1,

The .net runtime supports Windows NT SP61, Windows 2000, Windows XP, Windows Server 2003,and Windows ME/98. Windows 95 is not supported.

Additionally, ASP.Net runs only on XP(Non-Home) ,Windows2000, and Windows server 2003.
The Mono project has a version of the .NET Framework that runs on Linux.

Regarding Quesion 2,

The Publish Installer (ClickOnce) can be configured to point to Microsoft Website (it does so by default), to download the necessary frameworks on Product installation. I mean , the msi can download it automatically.


re - Web Star replied to silna chandra on 17-Nov-08 03:36 AM

http://msdn.microsoft.com/en-us/library/cc160717.aspx